//gsoap SOAP-ENV schema namespace: http://www.w3.org/2002/12/soap-envelope
//gsoap nssys schema namespace: urn:WS_mgmt_stdSystem
//gsoap nsrt schema namespace: urn:WS_mgmt_stdRoute
//gsoap SOAP schema namespace: http://schemas.xmlsoap.org/wsdl/soap/
//gsoap nsevt schema namespace: urn:WS_mgmt_stdEvent
//gsoap xsi schema namespace: http://www.w3.org/2001/XMLSchema-instance
//gsoap ns schema namespace: urn:WS_mgmt_stdDefs
//gsoap nsif schema namespace: urn:WS_mgmt_stdInterface
//gsoap WSDL schema namespace: http://schemas.xmlsoap.org/wsdl/
//gsoap xsd schema namespace: http://www.w3.org/2001/XMLSchema
//gsoap SOAP-ENC schema namespace: http://www.w3.org/2002/12/soap-encoding

//gsoap tns service namespace: urn:WS_mgmt_stdEvent

//gsoap tns service location: http://localhost
//gsoap tns service name: soapService

/*start primitive data types*/
typedef char * xsd__string;
typedef int xsd__int;

/*end primitive data types*/

enum ns__addrType { IP, ETH };

enum nsevt__regAction { REGISTER, UNREGISTER , SRVCLOSE};

struct ArrayOfroutingInformation {
	struct nsrt__routingInformation * __ptr;
	int  __size;
	int  __offset;
};

struct nsif__interfaceDescription {
	xsd__int  type;
	xsd__string  name;
	xsd__int  mtu;
	int  __size_;
	xsd__string * flag;
	struct ns__address * address;
	struct ns__address * netmask;
	struct ns__address * broadcast;
	struct ns__address * dst_address;
	struct ns__address * link_address;
	int  __size__;
	struct ns__address * alias;
};

struct ns__address {
	xsd__string  addr;
};

struct ArrayOfinterfaceStats {
	struct nsif__interfaceStats * __ptr;
	int  __size;
	int  __offset;
};

struct ArrayOfinterfaceDescription {
	struct nsif__interfaceDescription * __ptr;
	int  __size;
	int  __offset;
};

struct nsrt__routingInformation {
	xsd__string  iface;
	struct ns__address * dst_addr;
	struct ns__address * gw_addr;
	struct ns__address * nm_addr;
	int  __size_;
	xsd__string * flag;
	xsd__int  mtu;
	xsd__int  metric;
	xsd__int  refcnt;
	xsd__int  use;
	xsd__int  window;
	xsd__int  irtt;
};

struct nsevt__registerResult {
	xsd__int  result;
};

struct nsif__interfaceStats {
	xsd__string  ifname;
	xsd__int  rx_bytes;
	xsd__int  rx_packets;
	xsd__int  rx_errors;
	xsd__int  rx_drop;
	xsd__int  rx_fifo;
	xsd__int  rx_frame;
	xsd__int  rx_compressed;
	xsd__int  rx_multicast;
	xsd__int  tx_bytes;
	xsd__int  tx_packets;
	xsd__int  tx_errors;
	xsd__int  tx_drop;
	xsd__int  tx_fifo;
	xsd__int  tx_colls;
	xsd__int  tx_carrier;
	xsd__int  tx_compressed;
};

struct nsevt__registerErrorHandlerResponse {
	xsd__int  _result;
};

//gsoap nsevt service method-action: registerErrorHandler ""
nsevt__registerErrorHandler( xsd__int  portnumber, xsd__string  hostname, enum nsevt__regAction  regact, struct nsevt__registerErrorHandlerResponse * out );
